Return a compact owned and related attachment summary for a Resource Catalog identity.
POST
/api/workspace/attachments/resource-summary
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/attachments/resource-summary"), Content = new StringContent("{ \"Resource\": { \"ModuleKey\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"Scope\": 0, \"Limit\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/attachments/resource-summary';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"Resource":{"ModuleKey":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"Scope":0,"Limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/attachments/resource-summary \ --header 'Content-Type: application/json' \ --data '{ "Resource": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Scope": 0, "Limit": 1 }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Resource
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Scope
integer format: int32
Limit
integer format: int32
object
Resource
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Scope
integer format: int32
Limit
integer format: int32
object
Resource
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Scope
integer format: int32
Limit
integer format: int32
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
Count
integer format: int32
Items
Array<object>
object
Placement
integer format: int32
File
object
Id
string
FolderId
string
Owner
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Relations
Array<object>
object
Id
string
Target
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
RelationKind
integer format: int32
Source
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
PolicyCode
string
CorrelationId
string
CreatedByUserId
string
CreatedAt
string format: date-time
DeletedAt
string format: date-time
Origin
object
Source
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
PolicyCode
string
CorrelationId
string
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
FileName
string
Description
string
MimeType
string
SizeBytes
integer format: int64
ChecksumSha256
string
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
CreatedByUserId
string
CreatedByUserName
string
ModifiedByUserId
string
ModifiedByUserName
string
Owner
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
RelationKind
integer format: int32
PolicyCode
string
CorrelationId
string
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ] }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
object
Count
integer format: int32
Items
Array<object>
object
Placement
integer format: int32
File
object
Id
string
FolderId
string
Owner
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
Relations
Array<object>
object
Id
string
Target
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
RelationKind
integer format: int32
Source
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
PolicyCode
string
CorrelationId
string
CreatedByUserId
string
CreatedAt
string format: date-time
DeletedAt
string format: date-time
Origin
object
Source
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
PolicyCode
string
CorrelationId
string
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
FileName
string
Description
string
MimeType
string
SizeBytes
integer format: int64
ChecksumSha256
string
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
CreatedByUserId
string
CreatedByUserName
string
ModifiedByUserId
string
ModifiedByUserName
string
Owner
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
Source
object
Identity
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
RelationId
string
RelationKind
integer format: int32
PolicyCode
string
CorrelationId
string
CreatedAt
string format: date-time
Permissions
object
CanView
boolean
CanRename
boolean
CanDelete
boolean
CanDownload
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Items": [ { "Placement": 0, "File": { "Relations": [ { "RelationKind": 0 } ] }, "RelationKind": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}